export declare function toDate(date: string | number | Date, toMax: boolean, format?: string): Date | null;
export declare function toDouble(n: number | string): string;
export declare function dateFormat<T>(date: T, formatString: string): string | T;
export declare class Time {
    set timeString(v: string);
    get hours(): number;
    get minutes(): number;
    get seconds(): number;
    private _hours;
    private _minutes;
    private _seconds;
    constructor(time: string);
    private insure;
}
export declare class DateConfig {
    formatString: string;
    get year(): boolean;
    get month(): boolean;
    get day(): boolean;
    get hours(): boolean;
    get minutes(): boolean;
    get seconds(): boolean;
    get dateModel(): boolean;
    get timeModel(): boolean;
    constructor(format: string);
}
export interface Year {
    year: number;
    disable: boolean;
}
export interface Month {
    month: number;
    disable: boolean;
}
export interface Day {
    date: Date;
    day: number;
    disable: boolean;
}
export interface Hours {
    hours: number;
    disable: boolean;
}
export interface Minutes {
    minutes: number;
    disable: boolean;
}
export interface Seconds {
    seconds: number;
    disable: boolean;
}
export declare type DatePickerModel = 'time' | 'day' | 'month' | 'year';
